+++
title = "About online teaching"
date = 2020-03-27
[taxonomies]
tags = ["teaching"]
+++

These days we have to be enclosed in our houses by the coronavirus (COVID-19),
so in my University (in Granada) as the others in Spain, we had to became
in _online teaching expert_ in a weekend.
<!-- more -->

For the courses we have following different approaches: Additional written
material, several short videos about the materials, or conferences for
giving the courses by video-conferences. All options have its advantages and
drawbacks. However, because I like the feedback with the students (for instance,
to make several examples in code about the concepts in my programming course),
I have finally decided to give the course by video-conference. For
recommendation of my university I use [google meet](https://meet.google.com/), used also for the other
teachers in the course. Personally, I prefer [Jitsi](https://meet.jit.si/), not only it is open source,
but it also it is comparable in features to the google option, it is a great
option.

A part of the teaching by video-conference, I have put all the slides in the
Moodle of the courses (actually, it was previously there), and I will try to put
some Quiz to allow students to have a better feedback about their knowledge.

The main problem has been to have a deaf student. The video-conference is not
good, and I have spent several days trying several tools to automatic caption
the voice, but in Spanish too many tools do not give a good performance (they
have a lot of errors), finally the best option was [Ability Connect](https://abilityconnect.ua.es/?lang=en), a tool from
University of Alicante (Spain) for that. Unfortunately, sometimes it freezes.

Some people should think that I will have less work, but actually the situation
have put me more work in teaching. It is good to learn new skills, but it takes
a lot of time.
